#!/usr/bin/env node
/**
 * Hub CLI Entry point
 */

const program = require('commander');
const dotEnv = require('dotenv-json');
const chalk = require('chalk');
const purgeCommand = require('./lib/purge-command');
const packageInfo = require('./package.json');

/**
 * Purge
 */
program
  .version(packageInfo.version)
  .command('purge <username> <password> <orgUrl>')
  .option('--item-query <itemQuery>', 'optional AGO item search query')
  .option('--group-query <groupQuery>', 'optional AGO group search query')
  .option('--skip-site', 'optional flag to skip purging sites')
  .option('--skip-domain', 'optional flag to skip purging orphan domains')
  .description('Purge an organization of all items owned by the current user. Gracefully removes Sites, unregistering domains and indexes. By default items with typeKeyword: doNotDelete are spared.')
  .action(purgeCommand.execute);

program.parse(process.argv);
