/**
 * Helper functions that return the hub service urls depending on the current environment
 */

module.exports = {
  /**
   * Return the domain service url
   */
  getDomainServiceUrl (portalUrl) {
    let env = '';
    if (portalUrl.indexOf(`dev`) > -1 ) {
      env='dev';
    }
    if (portalUrl.indexOf('qa') > -1) {
      env='qa';
    }
    return `https://hub${env}.arcgis.com/utilities/domains`;
  },

  getEnvFromPortalUrl (portalUrl) {
    let env = 'prod';
    if (portalUrl.indexOf(`dev`) > -1 ) {
      env='dev';
    }
    if (portalUrl.indexOf('qa') > -1) {
      env='qa';
    }
    return env;
  }
}
